import api from '@/utils/request';

export const getPage = params =>
  api.post(`/yxl-back-end/framework/uiac/account/page`, params);
export const getCount = params =>
  api.post(`/yxl-back-end/framework/uiac/account/count`, params);
export const getList = params =>
  api.post(`/yxl-back-end/framework/uiac/role/list`, params);
export const getItem = ({ id, ...params }) =>
  api.get(`/yxl-back-end/admin/kindergarten/${id}`, params);
export const saveItem = params => {
  if (params.id) {
    return api.put(`/yxl-back-end/framework/uiac/role/update`, params);
  } else {
    return api.post(`/yxl-back-end/framework/uiac/role/save`, params);
  }
};
export const delItem = ({ id, ...params }) =>
  api.del(`/yxl-back-end/framework/uiac/role/del/${id}`, params);

export const getSelectList = params =>
  api.get(`/yxl-back-end/framework/uiac/account/search-select`, params);

export const getUserRole = ({ id, ...params }) =>
  api.get(`/yxl-back-end/framework/uiac/account/${id}/account-role`, params);

export const updateUserRole = ({ id, ...params }) =>
  api.put(
    `/yxl-back-end/framework/uiac/account/${id}/account-role`,
    params.roles
  );

export const lockAccount = id =>
  api.del(`/yxl-back-end/framework/uiac/account/is-locked/${id}`, {});
